Access keys
Generated from Secronna's own code: every route in this area, what it takes and how to call it.
| Method | Path | What it does |
|---|---|---|
GET |
/api/v1/access-keys |
List access keys |
POST |
/api/v1/access-keys |
An access key = a MachineIdentity + one MachineToken, created together. |
POST |
/api/v1/access-keys/{id}/revoke |
Revoke an access key |
List access keys
GET /api/v1/access-keys
Example
curl -X GET "https://secronna.com/api/v1/access-keys" \
-H "Authorization: Bearer st_…"
An access key = a MachineIdentity + one MachineToken, created together.
POST /api/v1/access-keys
An access key = a MachineIdentity + one MachineToken, created
together. The plaintext token is returned ONCE on create and never
again. CLI/SDKs authenticate with Authorization: Bearer st_….
Body
| Field | Type | Required | Notes |
|---|---|---|---|
name |
string | yes | min length 1; max length 120 |
expiresInDays |
integer | no | above 0; max 3650 |
Example
curl -X POST "https://secronna.com/api/v1/access-keys" \
-H "Authorization: Bearer st_…" \
-H "Content-Type: application/json" \
-d '{"name":"…","expiresInDays":1}'
Revoke an access key
POST /api/v1/access-keys/{id}/revoke
Path parameters
| Name | Type | Required | Notes |
|---|---|---|---|
id |
string | yes |
Example
curl -X POST "https://secronna.com/api/v1/access-keys/:id/revoke" \
-H "Authorization: Bearer st_…"